Bug 1280300 - ValueError: cannot modify protected device
ValueError: cannot modify protected device
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:ed7e123f85591d9ebbe3c576963...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 07:48 EST by Alexander Todorov
Modified: 2017-08-08 08:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:23:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (330.67 KB, text/plain)
2015-11-11 07:48 EST, Alexander Todorov
no flags Details
File: anaconda.log (18.73 KB, text/plain)
2015-11-11 07:48 EST, Alexander Todorov
no flags Details
File: dnf.log (1.33 KB, text/plain)
2015-11-11 07:48 EST, Alexander Todorov
no flags Details
File: environ (459 bytes, text/plain)
2015-11-11 07:48 EST, Alexander Todorov
no flags Details
File: lsblk_output (1.31 KB, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: nmcli_dev_list (1.53 KB, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: os_info (451 bytes, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: program.log (26.55 KB, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: storage.log (63.61 KB, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: syslog (88.24 KB, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: ifcfg.log (1.68 KB, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details
File: packaging.log (708 bytes, text/plain)
2015-11-11 07:49 EST, Alexander Todorov
no flags Details

  None (edit)
Description Alexander Todorov 2015-11-11 07:48:48 EST
Description of problem:
On /boot I have the vmlinuz+initrd.img pair and install.img. 

Anaconda shouldn't crash but tell me I can't delete this device.

Version-Release number of selected component:
anaconda-24.6-1

The following was filed automatically by anaconda:
anaconda 24.6-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 1087, in destroyDevice
    raise ValueError("cannot modify protected device")
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1844, in _destroy_device
    self._storage_playground.destroyDevice(device)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 136, in decorated
    return func(*args, **kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1969, in on_remove_clicked
    self._destroy_device(device)
ValueError: cannot modify protected device

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   inst.stage2=hd:sda1:/install.img repo=https://kojipkgs.fedoraproject.org/mash/rawhide-20151111/rawhide/x86_64/os vnc
dnf.rpm.log:    Nov 11 12:45:55 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.4.0-0.rc0.git6.1.fc24.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        rawhide
Comment 1 Alexander Todorov 2015-11-11 07:48:54 EST
Created attachment 1092686 [details]
File: anaconda-tb
Comment 2 Alexander Todorov 2015-11-11 07:48:56 EST
Created attachment 1092688 [details]
File: anaconda.log
Comment 3 Alexander Todorov 2015-11-11 07:48:58 EST
Created attachment 1092689 [details]
File: dnf.log
Comment 4 Alexander Todorov 2015-11-11 07:48:59 EST
Created attachment 1092690 [details]
File: environ
Comment 5 Alexander Todorov 2015-11-11 07:49:01 EST
Created attachment 1092691 [details]
File: lsblk_output
Comment 6 Alexander Todorov 2015-11-11 07:49:03 EST
Created attachment 1092692 [details]
File: nmcli_dev_list
Comment 7 Alexander Todorov 2015-11-11 07:49:05 EST
Created attachment 1092693 [details]
File: os_info
Comment 8 Alexander Todorov 2015-11-11 07:49:07 EST
Created attachment 1092694 [details]
File: program.log
Comment 9 Alexander Todorov 2015-11-11 07:49:09 EST
Created attachment 1092695 [details]
File: storage.log
Comment 10 Alexander Todorov 2015-11-11 07:49:12 EST
Created attachment 1092696 [details]
File: syslog
Comment 11 Alexander Todorov 2015-11-11 07:49:13 EST
Created attachment 1092697 [details]
File: ifcfg.log
Comment 12 Alexander Todorov 2015-11-11 07:49:15 EST
Created attachment 1092698 [details]
File: packaging.log
Comment 13 Jan Kurik 2016-02-24 08:56:36 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Fedora End Of Life 2017-07-25 15:28:29 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-08-08 08:23:24 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.